Manuel PHP
Précédent |  | Suivant

# http_put_stream

(PECL)

http_put_stream -- Effectue une requête PUT avec un flux

## Description

string http_put_stream ( string url [, resource stream [, array options [, array &info]]] )

Effectue une requête HTTP PUT sur l'URL fournie.

Voir la fonction http_get() pour une liste complète des paramètres options et options disponibles.

## Liste de paramètres

url

  URL

stream

  le flux à lire pour le corps de la requête PUT

options

  Options de demande

info

  Information sur la demande / réponse

## Valeurs de retour

Retourne la(les) réponse(s) HTTP sous la forme d'une chaîne de caractères en cas de succès, ou FALSE en cas d'échec.

Précédent | Sommaire | Suivant
http_put_file | Niveau supérieur | http_request_method_exists